Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87519 - up2date does not allow pause or resume.
Summary: up2date does not allow pause or resume.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-28 04:12 UTC by Adam Greenberg
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-02 19:06:09 UTC


Attachments (Terms of Use)

Description Adam Greenberg 2003-03-28 04:12:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: not applicable


Steps to Reproduce: Not applicable
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
1.  The up2date utility does not allow me to pause a download or resume one that
has failed.  The latter is a big problem.  I have only 56k access and large
downloads (kernels) frequently suffer abrupt termination by the RHN server.  I
have no recourse but to restart the entire download.  It would be enormously
usefule if up2date could checkpoint itself periodically and allw me to resume
from the last checkpoint in the event of a connection failure.

2.  When I select multiple packages for download, up2date appears to treat the
collection selected as an all or nothing download.  If any of the component
downloads fail with a connection termination, the entire download fails and
up2date terminates.  A fix for (1) above would help this probnlem too.

Comment 1 Adrian Likins 2004-09-02 19:06:09 UTC
Current versions support resume (it will start over from
where it left off on particully downloaded packages).

Pause is mentioned in other pending RFE's so closing this currentrelease.


Note You need to log in before you can comment on or make changes to this bug.